PETSc version 3.17.4
Fix/Edit manual page

# TaoGetLineSearch

Gets the line search used by the optimization solver. Application writers should use TaoGetLineSearch if they need direct access to the TaoLineSearch object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetLineSearch(Tao tao, TaoLineSearch *ls)

Not Collective

### Input Parameters

| tao | - the TAO solver

### Output Parameters

| ls | - the line search used in the optimization solver

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages